diff -urN zabbix-4.0.8.orig/debian/changelog zabbix-4.0.8/debian/changelog
--- zabbix-4.0.8.orig/debian/changelog	2019-05-29 07:19:06.201650499 -0500
+++ zabbix-4.0.8/debian/changelog	2019-05-29 11:35:19.341564443 -0500
@@ -1,3 +1,10 @@
+zabbix (1:4.0.8-2) xenial; urgency=low
+
+  * fix packaging errors regarding fonts location
+  * fix packaging errors related to /usr/share/zabbix/assets perms
+
+ -- Bo Kersey <bo@vircio.com>  Wed, 29 May 2019 07:24:15 -0500
+
 zabbix (1:4.0.8-1+xenial) stable; urgency=low
 
   * update to 4.0.8
diff -urN zabbix-4.0.8.orig/debian/control zabbix-4.0.8/debian/control
--- zabbix-4.0.8.orig/debian/control	2019-05-29 07:19:06.209650533 -0500
+++ zabbix-4.0.8/debian/control	2019-05-29 07:23:58.506864436 -0500
@@ -16,12 +16,12 @@
                libopenipmi-dev,
                libssh2-1-dev (>= 1.0.0),
                unixodbc-dev,
-               java-sdk,
+               default-jdk,
                libxml2-dev,
                libpcre3-dev,
                libevent-dev,
                libssl-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.7
 Homepage: http://www.zabbix.com
 
 
diff -urN zabbix-4.0.8.orig/debian/rules zabbix-4.0.8/debian/rules
--- zabbix-4.0.8.orig/debian/rules	2019-05-29 07:19:06.209650533 -0500
+++ zabbix-4.0.8/debian/rules	2019-05-29 17:42:29.037437372 -0500
@@ -1,5 +1,10 @@
 #!/usr/bin/make -f
 
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+
+
 PACKAGES	= PGSQL MYSQL SQLITE3
 MYSQL_NAME	= mysql
 PGSQL_NAME	= postgresql
diff -urN zabbix-4.0.8.orig/debian/watch zabbix-4.0.8/debian/watch
--- zabbix-4.0.8.orig/debian/watch	1969-12-31 18:00:00.000000000 -0600
+++ zabbix-4.0.8/debian/watch	2019-05-29 08:01:51.751603759 -0500
@@ -0,0 +1,2 @@
+version=4
+http://sf.net/zabbix/zabbix-(.+)\.tar\.gz
diff -urN zabbix-4.0.8.orig/debian/zabbix-agent.service zabbix-4.0.8/debian/zabbix-agent.service
--- zabbix-4.0.8.orig/debian/zabbix-agent.service	2019-05-29 07:19:06.201650499 -0500
+++ zabbix-4.0.8/debian/zabbix-agent.service	2019-05-29 10:06:35.040856193 -0500
@@ -1,6 +1,5 @@
 [Unit]
 Description=Zabbix Agent
-After=syslog.target
 After=network.target
 
 [Service]
diff -urN zabbix-4.0.8.orig/debian/zabbix-frontend-php.dirs zabbix-4.0.8/debian/zabbix-frontend-php.dirs
--- zabbix-4.0.8.orig/debian/zabbix-frontend-php.dirs	2019-05-29 07:19:06.201650499 -0500
+++ zabbix-4.0.8/debian/zabbix-frontend-php.dirs	2019-05-29 07:19:35.209771098 -0500
@@ -1,5 +1,6 @@
 etc/zabbix
 etc/zabbix/web
 usr/share/zabbix
-usr/share/zabbix/fonts
+usr/share/zabbix/assets
+usr/share/zabbix/assets/fonts
 usr/share/doc/zabbix-frontend-php
diff -urN zabbix-4.0.8.orig/debian/zabbix-frontend-php.postinst zabbix-4.0.8/debian/zabbix-frontend-php.postinst
--- zabbix-4.0.8.orig/debian/zabbix-frontend-php.postinst	2019-05-29 07:19:06.205650516 -0500
+++ zabbix-4.0.8/debian/zabbix-frontend-php.postinst	2019-05-29 07:23:21.782712077 -0500
@@ -7,16 +7,21 @@
        chmod 755 /etc/zabbix/web
     fi
 
+    if [ -d /usr/share/zabbix/assets ]; then
+       chown www-data.root /usr/share/zabbix/assets
+       chmod 755 /usr/share/zabbix/assets
+    fi
+
     for file in /usr/share/fonts/truetype/dejavu/DejaVuSans.ttf /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf; do
 	if [ -e $file ]; then
-            update-alternatives --install /usr/share/zabbix/fonts/graphfont.ttf zabbix-frontend-font $file 10
+            update-alternatives --install /usr/share/zabbix/assets/fonts/graphfont.ttf zabbix-frontend-font $file 10
 	    break
 	fi
     done
 
     for file in /etc/alternatives/ttf-japanese-gothic.ttf /etc/alternatives/fonts-japanese-gothic.ttf; do
         if [ -e $file ]; then
-            update-alternatives --install /usr/share/zabbix/fonts/graphfont.ttf zabbix-frontend-font $file 20
+            update-alternatives --install /usr/share/zabbix/assets/fonts/graphfont.ttf zabbix-frontend-font $file 20
             break
         fi
     done
